Subject: Re: [PATCH 3/2] push: allow --follow-tags to be set by config push.followTags

From: Jeff King <[email-masked]>
Date: Mon, 16 Feb 2015 01:17:36 -0500

On Sun, Feb 15, 2015 at 10:11:21PM -0800, Junio C Hamano wrote:

> On Sun, Feb 15, 2015 at 10:02 PM, Junio C Hamano <[email-masked]> wrote:
> > On Sun, Feb 15, 2015 at 9:54 PM, Jeff King <[email-masked]> wrote:
> >>
> >> Or alternatively, we could pull the "flags" field from cmd_push out into
> >> a static global "transport_flags", and manipulate it directly from the
> >> config (or if we don't like a global, pass it via the config-callback
> >> void pointer; but certainly a global is more common in git for code like
> >> this). Then we do not have to worry about propagating values from
> >> integers into flag bits at all.
> >
> > Yup, that would be my preference. The largest problem I had with the
> > original change was how to ensure that future new code would not
> > mistakenly set the global follow_tags _without_ letting the command
> > line option parser to override it. If the config parser flips the bit in the
> > same flags, it would become much less likely for future code to make
> > such a mistake.
> 
> Having said that, I think this version is good enough.

Too late. :)

I am OK if we leave it here, though, and drop the extra two patches I
just sent.

-Peff